Bug 1959654 (CVE-2020-24587)

Summary: CVE-2020-24587 kernel: Reassembling fragments encrypted under different keys
Product: [Other] Security Response Reporter: Wade Mealing <wmealing>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: acaringi, adscvr, airlied, alciregi, bhu, blc, bmasney, brdeoliv, bskeggs, chwhite, crwood, dhoward, dvlasenk, fhrbata, fpacheco, hdegoede, hkrzesin, ihuguet, jarodwilson, jeremy, jforbes, jlelli, jonathan, josef, jshortt, jstancek, jwboyer, kcarcia, kernel-maint, kernel-mgr, lgoncalv, linville, masami256, mchehab, mlangsdo, nmurray, ptalbert, qzhao, rvrbovsk, steved, walters, wcosta, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: kernel 5.13 rc4 Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux kernel's WiFi implementation. An attacker within the wireless range can abuse a logic flaw in the WiFi implementation by reassembling packets from multiple fragments under different keys, treating them as valid. This flaw allows an attacker to send a fragment under an incorrect key, treating them as a valid fragment under the new key. The highest threat from this vulnerability is to confidentiality.
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-11-09 21:21:07 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1978181, 1960112, 1960113, 1960114, 1960115    
Bug Blocks: 1959275    

Description Wade Mealing 2021-05-12 03:22:57 UTC
A flaw was found in the Linux kernel's wifi implementation wherein an attacker within wireless range is able to abuse a logic flaw in the wifi implementation by reassembling packets from multiple fragments under different keys and they would be treated as valid.  This allows an attacker to send a fragment under an incorrect key and be treated as a valid fragment under the new key.

Upstream patch:
https://lore.kernel.org/linux-wireless/20210511200110.3f8290e59823.I622a67769ed39257327a362cfc09c812320eb979@changeid/

Comment 5 Wade Mealing 2021-05-13 04:54:46 UTC
Mitigation:

Mitigation for this issue is either not available or the currently available options does not meet the Red Hat Product Security criteria comprising ease of use and deployment, applicability to widespread installation base or stability.

Comment 6 Wade Mealing 2021-05-13 04:55:51 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1960112]

Comment 21 Justin M. Forbes 2021-06-29 16:14:03 UTC
This was fixed for Fedora with the 5.12.9 stable kernel updates.

Comment 24 errata-xmlrpc 2021-11-09 17:22:32 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:4140 https://access.redhat.com/errata/RHSA-2021:4140

Comment 25 errata-xmlrpc 2021-11-09 18:25:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:4356 https://access.redhat.com/errata/RHSA-2021:4356

Comment 26 Product Security DevOps Team 2021-11-09 21:21:03 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-24587